#pragma once

class CSchemeDoc;

// CProcessThread

class CProcessThread// : public CWinThread
{
//	DECLARE_DYNCREATE(CProcessThread)

public:
	CProcessThread(CSchemeDoc* ptr);
	~CProcessThread();

	BOOL Release();
	BOOL Run(BOOL bCreateNewThread = TRUE);

	BOOL IsRunning();
//	BOOL SetDocumentPtr(CSchemeDoc *ptr);

private:
	static UINT ThreadProcRun(LPVOID pParam);
	UINT ThreadProc();
	CSchemeDoc *m_pDocument;
	CWinThread* m_pThread;
};


